WordPress.org

Support

Support » Installation » BIG UPGRADE help needed – paying gig

BIG UPGRADE help needed – paying gig

  • SouthBeach030
    Member

    @southbeach030

    Calling all WordPress geniuses!

    I have a very very busy, robust (and frankly a bit top-heavy) site that I’d like to give the FULL UPGRADE from 2.06 to 2.2.

    However, a few of the plugins I am REQUIRED to use most likely won’t work with 2.2, and some custom php edits would be needed.

    Is anyone game to help me out? Would anyone be willing to take this project on?

    I’m also very VERY interested in HyperDB to help improve the site, as my traffic grows immensely each month.

    Currently:
    WP 2.0.6 on a LAMP server:
    PHP 4.x
    Apache 1.3
    Dedicated Dual Xeon server, 2gb ram
    This year so far: 1M+ visits, 4M+ Pageviews

    Plugins used:

    Adhesive
    Admin Drop down Menu
    Adsense-Deluxe
    AHCommentCentral (may not be needed going forward)
    Ajaxified Comment Preview (will accept anything similar)
    Akismet
    Audio Player (will probably be removed in to use external tools)
    Bannage (needed, but doesn’t always work properly)
    Breadcrumb Navigation
    Category Visibility (1.0.0b)
    Comment link target Blanker
    Customizable Post Listings (would want similar functionality)
    Democracy Poll (2.01) integral part of the site
    Email Users (used maybe 2x a year)
    Event Calendar – Integral part of the site
    Geo Press using Yahoo! – Integral part of the site
    Get recent comments – Integral part of the site
    Google (XML) sitemaps – needed.. using 3.0b7 now
    Inline RSS (kinda buggy, would take a viable alternative)
    Keyword Tags (.80) customized it heavily to make it work
    Link Trucator – to keep comment section from breaking the theme
    Live Calendar (may get removed)
    Nice Categories (inherent with the theme I use)
    Paged comments (must have, since many posts have over 500 comments)
    Post Levels (may remove this eventually)
    Post Query Accelerator (needed to keep performance acceptable, but will remove if 2.2 and HyperDB solves the problem)
    Quoter 1.1 – MUST HAVE, as it’s used 100’s of times daily. An alternative or improved code would be needed
    Related Posts – needed.. keeps readers interested in archived posts
    Rock You (used infrequently)
    RunPHP – must have for inserting certain ad-code in the posts
    Share This – included with every post
    Show Top Commentators – keeps users competitive
    Smiley Javascript buttons – also used daily by readers
    Text Link Ads – in the sidebar
    Themed login and Register – keeps readers from seeing the static wordpress landing page, and away from the dashboard
    Weasel’s login redirect / text change – see above
    WordPress Database backup
    WP-AddQuickTag – makes my posting easier
    wp-Cache – MUST HAVE to improve perfomance
    WP-MostCommentedPosts – another important feature
    WP-PostRatings – required

    —————

    If anyone is willing to review my entire installation, make the necessary changes/fixes/replacement plugins, or whatever else, I’m willing to pay. Please let me know and we can get in touch with each other.

    Any expert want this job?

    Thanks!

Viewing 6 replies - 1 through 6 (of 6 total)
  • If you rely so heavily on older plugins, maybe you should consider upgrading to the 2.0.10 version (latest stable in that branch) – that wouldn’t cause any “shock-like” surprizes as 2.2 might.
    Just a thought…

    SouthBeach030
    Member

    @southbeach030

    I plan on giving that a test this weekend.

    But I’d still like to go from 2.0.10 to 2.2 as my ultimate goal, as I’m looking for any DB performance increases as I can get.

    — Anything I should be worried about going from 2.0.6 to 2.0.10 (especially with plugins, etc)?

    I might be wrong – but I didn’t hear anything about better DB performance with 2.2!

    Going from 2.0.6 to 2.0.10 shouldn’t cretae issues: I just updated today a blog from 2.0.4 to 2.0.10 without a glitch.
    However, with the 2.1/2.2 brach many people have issues: theme and plugin incompatibility… in exchange for a few gizmos that you rarely need.

    Reminder: this is my personal opinion, so don’t take it as something “official”.

    Anyway, according to the Forum rules you need to post a contact address if you want paid help – and the thread will be closed. All the above was my “free advice” 🙂

    Alternatively, you can try to post to the wp-pro list for paid help:
    http://lists.automattic.com/mailman/listinfo/wp-pro

    SouthBeach030
    Member

    @southbeach030

    sorry about that.. you can contact ( mrk030 -at- hotmail -dot- com ) to get in touch with me regarding any offers to help take my blog to 2.2

    I was just afraid of spam… hope that helps.

    SouthBeach030
    Member

    @southbeach030

    Oh, and the reason I mentioned 2.2 and better DB performance was due to the fact that HyperDB only works on 2.2 and higher.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘BIG UPGRADE help needed – paying gig’ is closed to new replies.